This endpoint allows the import of an ESA reading import file. The file should be a base64-encoded file with a UTF8 character set.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
EsaReadingImportRequest
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| completeWithErrorsNotificationType | The type of notification to send when the import is completed with errors. Default is “SystemMessages”. Must be a valid value for NotificationTypeEnum: SystemMessages = 1, BillImportAutomation = 2, BillExportToApAutomation = 3, IntervalDataAutomation = 4, UserGroupMessages = 5, UpdatesAndNewFeatures = 6, HelpArticlesTipsAndSuggestions = 7, CustomerServiceMessages = 8, EnergyStarSubmissionFailures = 9, BillExportToGlAutomation = 10, AutomaticallyCreatedMetersOrAccounts = 11, ExceededLicensedObjectCount = 12, BillCaptureAutomation = 13, TrendInsights = 14, ESADataImports = 15 | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| fileContent | The base64 encoded file Required | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| fileName | FileName for the import file. Should include extension. The extension allows the importer to read the data in the proper format (csv, xlsx, zip) Required | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| importNote | Optional note/comment. | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| inlineProfile | EsaReadingImportProfile | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
EsaReadingImportProfile properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| profileInfo | Name of the import profile Must be between 0 and 64 characters Only one of ProfileInfo, InlineProfile can be set | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Request Body
{ "completeWithErrorsNotificationType": 1, "fileContent": "string", "fileName": "string", "importNote": "string", "inlineProfile": { "channelImportId": { "columnNumber": 1, "overrideValue": "string"
}, "dataPointImportId": { "columnNumber": 1, "overrideValue": "string"
}, "dateColumnNumber": 1, "dateFormat": "string", "dateTimeColumnNumber": 1, "dateTimeFormat": "string", "decimalSeparator": "string", "delimiter": "string", "estimated": { "columnNumber": 1, "indicator": "string"
}, "interval": { "columnNumber": 1, "overrideValue": 1
}, "intervalDataTypes": [
{ "columnNumber": 1, "observationTypeCode": "string"
}
], "numberOfHeaderRows": 1, "readingNoteColumnNumber": 1, "readingValueColumnNumber": 1, "timeColumnNumber": 1, "timeFormat": "string", "timeZoneId": 1
}, "profileInfo": "string"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
DetailedGuidResponse
| Property | Description | Type |
|---|---|---|
| fileName | The name of the file that was uploaded | string |
| taskGUId | A guid that identifies the current task | string (uuid) |
Example Response
[
{ "fileName": "string", "taskGUId": "string"
}
]